@media (max-width: 1200px) and (min-width: 992px) {
    .col-md-4 {
        width: 33.33%;
        float: left;
        position: relative;
        padding: 0 15px;
    }
}


body {
    margin: 0;
}
.news-wrapper {
    width: 80%;
    background: #DADADA;
    height: 100vh;
    margin: 0 auto;
    position: relative;
}

.news-wrapper .each-news {
    height: 300px;
    width: calc((100% - 2 * 15px) / 3); /*15 is the margin*/
    background: #C77272;
    float: left;
    position: relative;
    margin-bottom: 15px;
}

.margin-middle {
    margin: 0 15px;
}

@media (max-width: 768px) and (min-width: 481px) {
    .news-wrapper .each-news {
        height: 300px;
        width: calc((100% - 15px) / 2); /*15 is the margin*/
        background: #C77272;
        float: left;
        position: relative;
        margin-bottom: 15px;
    }

    .margin-middle {
        margin: 0;
    }

    .news-wrapper .each-news:nth-child(odd) {
        margin-left: 0;
    }

    .news-wrapper .each-news:nth-child(even) {
        margin-right: 0;
        float: right;
    }
}

@media (max-width: 480px) {
    .news-wrapper {
        width: 100%;
    }

    .news-wrapper .each-news {
        height: 300px;
        width: 80%; /*15 is the margin*/
        background: #C77272;
        float: none;
        position: relative;        
        margin: 0 auto;
        margin-bottom: 15px;
    }

    .margin-middle {
        margin: 0;
    }
}